
import java.sql.*;

public class JdbcPreparedstatementUpdate {

    public static void main(String args[]) {

        Connection con = null;
        PreparedStatement pst = null;
        ResultSet rs = null;

        String url = "jdbc:mysql://localhost:3306/";
        String db = "komal";
        String driver = "com.mysql.jdbc.Driver";
        String user = "root";
        String pass = "root";

        try {
            Class.forName(driver);
            con = DriverManager.getConnection(url + db, user, pass);
            
            pst = con.prepareStatement("update stu set class=? where id =?");
            
            pst.setString(1, "11");
            pst.setString(2, "1");
            
            pst.executeUpdate();
            
            
            pst = con.prepareStatement("select * from stu");
            rs = pst.executeQuery();

            System.out.println("Id\tName\tClass");
            while (rs.next()) {
                System.out.print(rs.getString(1) + "\t");
                System.out.print(rs.getString(2) + "\t ");
                System.out.println(rs.getString(3));
            }

            rs.close();
            pst.close();
            con.close();
            
        } catch (Exception e) {
            System.out.println(e);
        }
    }
}
